# Generated by go2rpm
%bcond_without check

# https://github.com/kubernetes-sigs/kustomize
%global goipath         sigs.k8s.io/kustomize
%global forgeurl        https://github.com/kubernetes-sigs/kustomize
Version:                4.0.3
%global tag             kustomize/v4.3.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
kustomize lets you customize raw, template-free YAML files for multiple
purposes, leaving the original YAML untouched and usable as is.

kustomize targets kubernetes; it understands and can patch kubernetes style API
objects. It's like make, in that what it does is declared in a file, and it's
like sed, in that it emits edited text.}

%global golicenses      LICENSE
%global godocs          docs examples CONTRIBUTING.md code-of-conduct.md\\\
                        README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Customization of kubernetes YAML configurations

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/evanphx/json-patch)
BuildRequires:  golang(github.com/go-errors/errors)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/shlex)
BuildRequires:  golang(github.com/imdario/mergo)
BuildRequires:  golang(github.com/instrumenta/kubeval/kubeval)
BuildRequires:  golang(github.com/monochromegane/go-gitignore)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/rakyll/statik/fs)
BuildRequires:  golang(github.com/sergi/go-diff/diffmatchpatch)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/xlab/treeprint)
BuildRequires:  golang(go.starlark.net/starlark)
BuildRequires:  golang(go.starlark.net/starlarkstruct)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(gopkg.in/inf.v0)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/spec)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/strfmt)
BuildRequires:  golang(k8s.io/kube-openapi/pkg/validation/validate)
BuildRequires:  golang(sigs.k8s.io/application/api/v1beta1)
BuildRequires:  golang(sigs.k8s.io/yaml)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(golang.org/x/mod/module)
BuildRequires:  git-core
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/kustomize %{goipath}/kustomize

%install
%gopkginstall

ln -s %{gopath}/src/%{goipath}/kustomize %{buildroot}%{gopath}/src/%{goipath}/kustomize/v4
ln -s %{gopath}/src/%{goipath}/cmd/pluginator %{buildroot}%{gopath}/src/%{goipath}/cmd/pluginator/v2
echo  "%{gopath}/src/%{goipath}/kustomize/v4" >> golang-sigs-k8s-kustomize-devel.file-list
echo  "%{gopath}/src/%{goipath}/cmd/pluginator/v2" >> golang-sigs-k8s-kustomize-devel.file-list

install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -t cmd -d kyaml/filesys -d kyaml/fix/fixsetters
%endif

%files
%license LICENSE
%doc docs examples CONTRIBUTING.md code-of-conduct.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
